#ifndef __GPIO_SYS__
#define __GPIO_SYS__

enum direction {
    IN = 0,
    OUT
};

enum pin_state {
    LOW = 0,
    HIGH
};

struct gpio_sys {
    int pin;
    enum direction direction;
};

int gpio_open(const struct gpio_sys *gpio);
int gpio_close(const struct gpio_sys *gpio);
int gpio_direction(struct gpio_sys *gpio, enum direction direction);
int gpio_read(const struct gpio_sys *gpio);
int gpio_write(const struct gpio_sys *gpio, int value);

#endif
